
Redmine - Patch #22911

Error raised when importing issue with Key/Value List custom field

2016-05-27 14:04 - Haihan Ji

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.2.3   

Description

Import issue with key/value list custom field will throw exception.

The exception is NoMethodError (undefined method `id' for #<CustomFieldEnumeration......

Associated revisions

Revision 15429 - 2016-05-28 13:37 - Jean-Philippe Lang

NoMethodError: undefined method `id' error on EnumerationFormat#value_from_keyword (#22911).

Patch by Haihan Ji.

Revision 15438 - 2016-06-04 09:19 - Jean-Philippe Lang

Merged r15429 (#22911).

Revision 15439 - 2016-06-04 09:19 - Jean-Philippe Lang

Merged r15429 (#22911).

History

#1 - 2016-05-28 13:37 - Jean-Philippe Lang

- Subject changed from Key/Value List custom field has a bug to Error raised when importing issue with Key/Value List custom field

- Category set to Custom fields

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.3

Committed in r15429 with a test, thanks.

#2 - 2016-06-04 09:19 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
